Skip to main content
POST
/
api
/
v1
/
projects
/
{projectUuid}
/
aiAgents
/
{agentUuid}
/
threads
/
{threadUuid}
/
messages
Error
A valid request URL is required to generate request examples
{
  "results": {
    "context": [
      {
        "runtimeOverrides": {
          "dateZoom": {
            "xAxisFieldId": "<string>"
          },
          "dashboardParameters": {},
          "dashboardFilters": {
            "tableCalculations": [
              {
                "id": "<string>",
                "target": {
                  "tableName": "<string>",
                  "fieldId": "<string>",
                  "isSqlColumn": true
                },
                "values": [
                  "<unknown>"
                ],
                "settings": "<unknown>",
                "disabled": true,
                "required": true,
                "caseSensitive": true,
                "lockedTabUuids": [
                  "<string>"
                ],
                "singleValue": true,
                "label": "<string>",
                "tileTargets": {}
              }
            ],
            "metrics": [
              {
                "id": "<string>",
                "target": {
                  "tableName": "<string>",
                  "fieldId": "<string>",
                  "isSqlColumn": true
                },
                "values": [
                  "<unknown>"
                ],
                "settings": "<unknown>",
                "disabled": true,
                "required": true,
                "caseSensitive": true,
                "lockedTabUuids": [
                  "<string>"
                ],
                "singleValue": true,
                "label": "<string>",
                "tileTargets": {}
              }
            ],
            "dimensions": [
              {
                "id": "<string>",
                "target": {
                  "tableName": "<string>",
                  "fieldId": "<string>",
                  "isSqlColumn": true
                },
                "values": [
                  "<unknown>"
                ],
                "settings": "<unknown>",
                "disabled": true,
                "required": true,
                "caseSensitive": true,
                "lockedTabUuids": [
                  "<string>"
                ],
                "singleValue": true,
                "label": "<string>",
                "tileTargets": {}
              }
            ]
          }
        },
        "displayName": "<string>",
        "pinnedVersionUuid": "<string>",
        "chartSlug": "<string>",
        "chartUuid": "<string>"
      }
    ],
    "user": {
      "name": "<string>",
      "uuid": "<string>"
    },
    "createdAt": "<string>",
    "message": "<string>",
    "threadUuid": "<string>",
    "uuid": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lightdash.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectUuid
string
required
agentUuid
string
required
threadUuid
string
required

Body

application/json
prompt
string
required
modelConfig
object
context
object[]

Response

Success

results
object
required
status
enum<string>
required
Available options:
ok